classification
Title: Recommend "*" over "#" in getargs.c typecodes
Type: Stage: resolved
Components: Documentation, Interpreter Core Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: georg.brandl, pitrou
Priority: normal Keywords:

Created on 2009-09-29 10:59 by pitrou, last changed 2020-10-22 22:32 by iritkatriel. This issue is now closed.

Messages (3)
msg93276 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-09-29 10:59
In « Parsing arguments and building values » (c-api/arg.html), it should
be made clear that "*" typecodes are recommended over the "#" typecodes,
which are inherently unsafe.

(more generally, the page is totally unreadable, a solution might be to
group the typecodes by family: numbers, strings/buffers, objects; also,
there are so many choices that it's confusing which ones should be
preferred)
msg93279 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-09-29 11:14
This only really applies in 2.x, actually. In 3.x, "#" should be
discouraged for another reason: it is overly strict and will only accept
pure read-only objects (which don't have a bf_releasebuffer method);
even bytearrays will be rejected.
msg241631 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-04-20 11:16
The 3.x arg.html seems a great improvement to my eye compared to the 2.x version so I'd guess this can be closed as out of date.
History
Date User Action Args
2020-10-22 22:32:21iritkatrielsetstatus: open -> closed
resolution: out of date
stage: resolved
2019-03-15 22:08:27BreamoreBoysetnosy: - BreamoreBoy
2015-04-20 11:16:54BreamoreBoysetnosy: + BreamoreBoy
messages: + msg241631
2010-10-29 10:07:21adminsetassignee: georg.brandl -> docs@python
2009-09-29 11:14:48pitrousetmessages: + msg93279
2009-09-29 10:59:14pitroucreate